project (summator_v2)

cmake_minimum_required(VERSION 2.6)

FIND_PACKAGE(Boost COMPONENTS date_time filesystem thread program_options )

include_directories (${Matrices_SOURCE_DIR})
link_directories(${Matrices_BINARY_DIR})
include_directories(${Boost_INCLUDE_DIR})

add_executable(summator2 main.cpp summator.cpp options.cpp)

target_link_libraries(summator2 ${Boost_LIBRARIES} matrices)
target_link_libraries(summator2 ${LOG4CXX_LIBRARY})
